Mailinglist Archive: opensuse-updates (53 mails)

< Previous Next >
openSUSE-SU-2014:0822-1: moderate: castor: Prevent XXE attacks
openSUSE Security Update: castor: Prevent XXE attacks
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0822-1
Rating: moderate
References: #882408
Cross-References: CVE-2013-3004 CVE-2014-3004
Affected Products:
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

castor was updated to prevent XXE attacks via crafted XML documents
(CVE-2014-3004).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-435

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-435

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (noarch):

castor-0.9.5-320.4.1
castor-demo-0.9.5-320.4.1
castor-doc-0.9.5-320.4.1
castor-test-0.9.5-320.4.1
castor-xml-0.9.5-320.4.1

- openSUSE 12.3 (noarch):

castor-0.9.5-317.4.1
castor-demo-0.9.5-317.4.1
castor-doc-0.9.5-317.4.1
castor-javadoc-0.9.5-317.4.1
castor-test-0.9.5-317.4.1
castor-xml-0.9.5-317.4.1


References:

http://support.novell.com/security/cve/CVE-2013-3004.html
http://support.novell.com/security/cve/CVE-2014-3004.html
https://bugzilla.novell.com/882408


< Previous Next >
This Thread
  • No further messages